## com.lowagie.text.pdf.parser
Class GraphicsState

    java.lang.Object
      com.lowagie.text.pdf.parser.GraphicsState

    public class GraphicsState

extends java.lang.Object

Keeps all the parameters of the graphics state.

Since:
  2.1.4

Field Summary
`(package private) float` `characterSpacing` The current character spacing.
`(package private) Matrix` `ctm` The current transformation matrix.
`(package private) CMapAwareDocumentFont` `font` The active font.
`(package private) float` `fontSize` The current font size.
`(package private) float` `horizontalScaling` The current horizontal scaling
`(package private) boolean` `knockout` The current knockout value.
`(package private) float` `leading` The current leading.
`(package private) int` `renderMode` The current render mode.
`(package private) float` `rise` The current text rise
`(package private) float` `wordSpacing` The current word spacing.

Constructor Summary
`GraphicsState()` Constructs a new Graphics State object with the default values.
`GraphicsState(GraphicsState source)` Copy constructor.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctm

    Matrix ctm

  The current transformation matrix.

### characterSpacing

    float characterSpacing

  The current character spacing.

### wordSpacing

    float wordSpacing

  The current word spacing.

### horizontalScaling

    float horizontalScaling

  The current horizontal scaling

### leading

    float leading

  The current leading.

### font

    CMapAwareDocumentFont font

  The active font.

### fontSize

    float fontSize

  The current font size.

### renderMode

    int renderMode

  The current render mode.

### rise

    float rise

  The current text rise

### knockout

    boolean knockout

  The current knockout value.

Constructor Detail

### GraphicsState

    public GraphicsState()

  Constructs a new Graphics State object with the default values.

### GraphicsState

    public GraphicsState(GraphicsState source)

  Copy constructor.

  Parameters:
    `source` - another GraphicsState object

Hosted by Hostbasket